services:
  caddy:
   # image: caddy:latest
    container_name: caddy
    build:
      dockerfile: Dockerfile
    restart: unless-stopped
    cap_add:
      - NET_ADMIN
    ports:
      - "2019:2019"
      - "80:80"
      - "443:443"
      - "443:443/udp"
      - "8282:8282"
      - "8088:8088"
    volumes:
      - ./Caddyfile:/etc/caddy/Caddyfile
      - ./site/bortolaso-sail:/srv/bortolaso-sail
      - ./site/ariang:/srv/ariang
      - ./caddy-data:/data
      - ./caddy-config:/config
    networks:
      - caddy-net

  newt:
    image: fosrl/newt
    container_name: newt
    restart: unless-stopped
    environment:
      - PANGOLIN_ENDPOINT=https://pangolin.sereiaguardia.com
      - NEWT_ID=t9eefucz8uk0qds
      - NEWT_SECRET=tqb7nl80iwqsmyox0nndb82k516egcc7ui4fkuigvesuui3f
    networks:
      - caddy-net

  # cloudflared:
  #     image: cloudflare/cloudflared:latest
  #     container_name: cloudflared
  #     user: "0:0"
  #     volumes:
  #     - ./config:/root/.cloudflared
  #     #command: tunnel login
  #     #command: tunnel create tunnel_ccalifice
  #     command: tunnel --no-autoupdate run
  #     restart: unless-stopped
  #     networks:
  #       - caddy-net

networks:
  caddy-net:
    driver: bridge
    name: caddy-net
